Makefile.in 18 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597
  1. # Makefile.in generated by automake 1.10.2 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
  4. # 2003, 2004, 2005, 2006, 2007, 2008 Free Software Foundation, Inc.
  5. # This Makefile.in is free software; the Free Software Foundation
  6. # gives unlimited permission to copy and/or distribute it,
  7. # with or without modifications, as long as this notice is preserved.
  8. # This program is distributed in the hope that it will be useful,
  9. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  10. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  11. # PARTICULAR PURPOSE.
  12. @SET_MAKE@
  13. VPATH = @srcdir@
  14. pkgdatadir = $(datadir)/@PACKAGE@
  15. pkglibdir = $(libdir)/@PACKAGE@
  16. pkgincludedir = $(includedir)/@PACKAGE@
  17. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  18. install_sh_DATA = $(install_sh) -c -m 644
  19. install_sh_PROGRAM = $(install_sh) -c
  20. install_sh_SCRIPT = $(install_sh) -c
  21. INSTALL_HEADER = $(INSTALL_DATA)
  22. transform = $(program_transform_name)
  23. NORMAL_INSTALL = :
  24. PRE_INSTALL = :
  25. POST_INSTALL = :
  26. NORMAL_UNINSTALL = :
  27. PRE_UNINSTALL = :
  28. POST_UNINSTALL = :
  29. subdir = .
  30. DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
  31. $(srcdir)/Makefile.in $(srcdir)/config.h.in \
  32. $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
  33. depcomp install-sh missing
  34. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  35. am__aclocal_m4_deps = $(top_srcdir)/configure.ac
  36. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  37. $(ACLOCAL_M4)
  38. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  39. configure.lineno config.status.lineno
  40. mkinstalldirs = $(install_sh) -d
  41. CONFIG_HEADER = config.h
  42. CONFIG_CLEAN_FILES =
  43. SOURCES =
  44. DIST_SOURCES =
  45. RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
  46. html-recursive info-recursive install-data-recursive \
  47. install-dvi-recursive install-exec-recursive \
  48. install-html-recursive install-info-recursive \
  49. install-pdf-recursive install-ps-recursive install-recursive \
  50. installcheck-recursive installdirs-recursive pdf-recursive \
  51. ps-recursive uninstall-recursive
  52. RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
  53. distclean-recursive maintainer-clean-recursive
  54. ETAGS = etags
  55. CTAGS = ctags
  56. DIST_SUBDIRS = $(SUBDIRS)
  57. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  58. distdir = $(PACKAGE)-$(VERSION)
  59. top_distdir = $(distdir)
  60. am__remove_distdir = \
  61. { test ! -d $(distdir) \
  62. || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
  63. && rm -fr $(distdir); }; }
  64. DIST_ARCHIVES = $(distdir).tar.gz
  65. GZIP_ENV = --best
  66. distuninstallcheck_listfiles = find . -type f -print
  67. distcleancheck_listfiles = find . -type f -print
  68. ACLOCAL = @ACLOCAL@
  69. AMTAR = @AMTAR@
  70. AUTOCONF = @AUTOCONF@
  71. AUTOHEADER = @AUTOHEADER@
  72. AUTOMAKE = @AUTOMAKE@
  73. AWK = @AWK@
  74. CC = @CC@
  75. CCDEPMODE = @CCDEPMODE@
  76. CFLAGS = @CFLAGS@
  77. CPPFLAGS = @CPPFLAGS@
  78. CYGPATH_W = @CYGPATH_W@
  79. DEFS = @DEFS@
  80. DEPDIR = @DEPDIR@
  81. ECHO_C = @ECHO_C@
  82. ECHO_N = @ECHO_N@
  83. ECHO_T = @ECHO_T@
  84. EXEEXT = @EXEEXT@
  85. INSTALL = @INSTALL@
  86. INSTALL_DATA = @INSTALL_DATA@
  87. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  88. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  89. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  90. LDFLAGS = @LDFLAGS@
  91. LIBOBJS = @LIBOBJS@
  92. LIBS = @LIBS@
  93. LTLIBOBJS = @LTLIBOBJS@
  94. MAKEINFO = @MAKEINFO@
  95. MKDIR_P = @MKDIR_P@
  96. MSSH_CFLAGS = @MSSH_CFLAGS@
  97. MSSH_LIBS = @MSSH_LIBS@
  98. OBJEXT = @OBJEXT@
  99. PACKAGE = @PACKAGE@
  100. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  101. PACKAGE_NAME = @PACKAGE_NAME@
  102. PACKAGE_STRING = @PACKAGE_STRING@
  103. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  104. PACKAGE_URL = @PACKAGE_URL@
  105. PACKAGE_VERSION = @PACKAGE_VERSION@
  106. PATH_SEPARATOR = @PATH_SEPARATOR@
  107. PKG_CONFIG = @PKG_CONFIG@
  108. SET_MAKE = @SET_MAKE@
  109. SHELL = @SHELL@
  110. STRIP = @STRIP@
  111. VERSION = @VERSION@
  112. abs_builddir = @abs_builddir@
  113. abs_srcdir = @abs_srcdir@
  114. abs_top_builddir = @abs_top_builddir@
  115. abs_top_srcdir = @abs_top_srcdir@
  116. ac_ct_CC = @ac_ct_CC@
  117. am__include = @am__include@
  118. am__leading_dot = @am__leading_dot@
  119. am__quote = @am__quote@
  120. am__tar = @am__tar@
  121. am__untar = @am__untar@
  122. bindir = @bindir@
  123. build_alias = @build_alias@
  124. builddir = @builddir@
  125. datadir = @datadir@
  126. datarootdir = @datarootdir@
  127. docdir = @docdir@
  128. dvidir = @dvidir@
  129. exec_prefix = @exec_prefix@
  130. host_alias = @host_alias@
  131. htmldir = @htmldir@
  132. includedir = @includedir@
  133. infodir = @infodir@
  134. install_sh = @install_sh@
  135. libdir = @libdir@
  136. libexecdir = @libexecdir@
  137. localedir = @localedir@
  138. localstatedir = @localstatedir@
  139. mandir = @mandir@
  140. mkdir_p = @mkdir_p@
  141. oldincludedir = @oldincludedir@
  142. pdfdir = @pdfdir@
  143. prefix = @prefix@
  144. program_transform_name = @program_transform_name@
  145. psdir = @psdir@
  146. sbindir = @sbindir@
  147. sharedstatedir = @sharedstatedir@
  148. srcdir = @srcdir@
  149. sysconfdir = @sysconfdir@
  150. target_alias = @target_alias@
  151. top_build_prefix = @top_build_prefix@
  152. top_builddir = @top_builddir@
  153. top_srcdir = @top_srcdir@
  154. SUBDIRS = src
  155. all: config.h
  156. $(MAKE) $(AM_MAKEFLAGS) all-recursive
  157. .SUFFIXES:
  158. am--refresh:
  159. @:
  160. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  161. @for dep in $?; do \
  162. case '$(am__configure_deps)' in \
  163. *$$dep*) \
  164. echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
  165. cd $(srcdir) && $(AUTOMAKE) --gnu \
  166. && exit 0; \
  167. exit 1;; \
  168. esac; \
  169. done; \
  170. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
  171. cd $(top_srcdir) && \
  172. $(AUTOMAKE) --gnu Makefile
  173. .PRECIOUS: Makefile
  174. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  175. @case '$?' in \
  176. *config.status*) \
  177. echo ' $(SHELL) ./config.status'; \
  178. $(SHELL) ./config.status;; \
  179. *) \
  180. echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  181. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  182. esac;
  183. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  184. $(SHELL) ./config.status --recheck
  185. $(top_srcdir)/configure: $(am__configure_deps)
  186. cd $(srcdir) && $(AUTOCONF)
  187. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  188. cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  189. config.h: stamp-h1
  190. @if test ! -f $@; then \
  191. rm -f stamp-h1; \
  192. $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
  193. else :; fi
  194. stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  195. @rm -f stamp-h1
  196. cd $(top_builddir) && $(SHELL) ./config.status config.h
  197. $(srcdir)/config.h.in: $(am__configure_deps)
  198. cd $(top_srcdir) && $(AUTOHEADER)
  199. rm -f stamp-h1
  200. touch $@
  201. distclean-hdr:
  202. -rm -f config.h stamp-h1
  203. # This directory's subdirectories are mostly independent; you can cd
  204. # into them and run `make' without going through this Makefile.
  205. # To change the values of `make' variables: instead of editing Makefiles,
  206. # (1) if the variable is set in `config.status', edit `config.status'
  207. # (which will cause the Makefiles to be regenerated when you run `make');
  208. # (2) otherwise, pass the desired values on the `make' command line.
  209. $(RECURSIVE_TARGETS):
  210. @failcom='exit 1'; \
  211. for f in x $$MAKEFLAGS; do \
  212. case $$f in \
  213. *=* | --[!k]*);; \
  214. *k*) failcom='fail=yes';; \
  215. esac; \
  216. done; \
  217. dot_seen=no; \
  218. target=`echo $@ | sed s/-recursive//`; \
  219. list='$(SUBDIRS)'; for subdir in $$list; do \
  220. echo "Making $$target in $$subdir"; \
  221. if test "$$subdir" = "."; then \
  222. dot_seen=yes; \
  223. local_target="$$target-am"; \
  224. else \
  225. local_target="$$target"; \
  226. fi; \
  227. (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  228. || eval $$failcom; \
  229. done; \
  230. if test "$$dot_seen" = "no"; then \
  231. $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  232. fi; test -z "$$fail"
  233. $(RECURSIVE_CLEAN_TARGETS):
  234. @failcom='exit 1'; \
  235. for f in x $$MAKEFLAGS; do \
  236. case $$f in \
  237. *=* | --[!k]*);; \
  238. *k*) failcom='fail=yes';; \
  239. esac; \
  240. done; \
  241. dot_seen=no; \
  242. case "$@" in \
  243. distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  244. *) list='$(SUBDIRS)' ;; \
  245. esac; \
  246. rev=''; for subdir in $$list; do \
  247. if test "$$subdir" = "."; then :; else \
  248. rev="$$subdir $$rev"; \
  249. fi; \
  250. done; \
  251. rev="$$rev ."; \
  252. target=`echo $@ | sed s/-recursive//`; \
  253. for subdir in $$rev; do \
  254. echo "Making $$target in $$subdir"; \
  255. if test "$$subdir" = "."; then \
  256. local_target="$$target-am"; \
  257. else \
  258. local_target="$$target"; \
  259. fi; \
  260. (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  261. || eval $$failcom; \
  262. done && test -z "$$fail"
  263. tags-recursive:
  264. list='$(SUBDIRS)'; for subdir in $$list; do \
  265. test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
  266. done
  267. ctags-recursive:
  268. list='$(SUBDIRS)'; for subdir in $$list; do \
  269. test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
  270. done
  271. ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
  272. list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
  273. unique=`for i in $$list; do \
  274. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  275. done | \
  276. $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  277. END { if (nonempty) { for (i in files) print i; }; }'`; \
  278. mkid -fID $$unique
  279. tags: TAGS
  280. TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  281. $(TAGS_FILES) $(LISP)
  282. tags=; \
  283. here=`pwd`; \
  284. if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  285. include_option=--etags-include; \
  286. empty_fix=.; \
  287. else \
  288. include_option=--include; \
  289. empty_fix=; \
  290. fi; \
  291. list='$(SUBDIRS)'; for subdir in $$list; do \
  292. if test "$$subdir" = .; then :; else \
  293. test ! -f $$subdir/TAGS || \
  294. tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
  295. fi; \
  296. done; \
  297. list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
  298. unique=`for i in $$list; do \
  299. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  300. done | \
  301. $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  302. END { if (nonempty) { for (i in files) print i; }; }'`; \
  303. if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
  304. test -n "$$unique" || unique=$$empty_fix; \
  305. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  306. $$tags $$unique; \
  307. fi
  308. ctags: CTAGS
  309. CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  310. $(TAGS_FILES) $(LISP)
  311. tags=; \
  312. list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
  313. unique=`for i in $$list; do \
  314. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  315. done | \
  316. $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  317. END { if (nonempty) { for (i in files) print i; }; }'`; \
  318. test -z "$(CTAGS_ARGS)$$tags$$unique" \
  319. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  320. $$tags $$unique
  321. GTAGS:
  322. here=`$(am__cd) $(top_builddir) && pwd` \
  323. && cd $(top_srcdir) \
  324. && gtags -i $(GTAGS_ARGS) $$here
  325. distclean-tags:
  326. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  327. distdir: $(DISTFILES)
  328. $(am__remove_distdir)
  329. test -d $(distdir) || mkdir $(distdir)
  330. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  331. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  332. list='$(DISTFILES)'; \
  333. dist_files=`for file in $$list; do echo $$file; done | \
  334. sed -e "s|^$$srcdirstrip/||;t" \
  335. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  336. case $$dist_files in \
  337. */*) $(MKDIR_P) `echo "$$dist_files" | \
  338. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  339. sort -u` ;; \
  340. esac; \
  341. for file in $$dist_files; do \
  342. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  343. if test -d $$d/$$file; then \
  344. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  345. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  346. cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  347. fi; \
  348. cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
  349. else \
  350. test -f $(distdir)/$$file \
  351. || cp -p $$d/$$file $(distdir)/$$file \
  352. || exit 1; \
  353. fi; \
  354. done
  355. list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  356. if test "$$subdir" = .; then :; else \
  357. test -d "$(distdir)/$$subdir" \
  358. || $(MKDIR_P) "$(distdir)/$$subdir" \
  359. || exit 1; \
  360. distdir=`$(am__cd) $(distdir) && pwd`; \
  361. top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
  362. (cd $$subdir && \
  363. $(MAKE) $(AM_MAKEFLAGS) \
  364. top_distdir="$$top_distdir" \
  365. distdir="$$distdir/$$subdir" \
  366. am__remove_distdir=: \
  367. am__skip_length_check=: \
  368. distdir) \
  369. || exit 1; \
  370. fi; \
  371. done
  372. -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
  373. ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  374. ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  375. ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  376. || chmod -R a+r $(distdir)
  377. dist-gzip: distdir
  378. tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  379. $(am__remove_distdir)
  380. dist-bzip2: distdir
  381. tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
  382. $(am__remove_distdir)
  383. dist-lzma: distdir
  384. tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
  385. $(am__remove_distdir)
  386. dist-tarZ: distdir
  387. tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  388. $(am__remove_distdir)
  389. dist-shar: distdir
  390. shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
  391. $(am__remove_distdir)
  392. dist-zip: distdir
  393. -rm -f $(distdir).zip
  394. zip -rq $(distdir).zip $(distdir)
  395. $(am__remove_distdir)
  396. dist dist-all: distdir
  397. tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  398. $(am__remove_distdir)
  399. # This target untars the dist file and tries a VPATH configuration. Then
  400. # it guarantees that the distribution is self-contained by making another
  401. # tarfile.
  402. distcheck: dist
  403. case '$(DIST_ARCHIVES)' in \
  404. *.tar.gz*) \
  405. GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
  406. *.tar.bz2*) \
  407. bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
  408. *.tar.lzma*) \
  409. unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
  410. *.tar.Z*) \
  411. uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  412. *.shar.gz*) \
  413. GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
  414. *.zip*) \
  415. unzip $(distdir).zip ;;\
  416. esac
  417. chmod -R a-w $(distdir); chmod a+w $(distdir)
  418. mkdir $(distdir)/_build
  419. mkdir $(distdir)/_inst
  420. chmod a-w $(distdir)
  421. dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  422. && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  423. && cd $(distdir)/_build \
  424. && ../configure --srcdir=.. --prefix="$$dc_install_base" \
  425. $(DISTCHECK_CONFIGURE_FLAGS) \
  426. && $(MAKE) $(AM_MAKEFLAGS) \
  427. && $(MAKE) $(AM_MAKEFLAGS) dvi \
  428. && $(MAKE) $(AM_MAKEFLAGS) check \
  429. && $(MAKE) $(AM_MAKEFLAGS) install \
  430. && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  431. && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  432. && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  433. distuninstallcheck \
  434. && chmod -R a-w "$$dc_install_base" \
  435. && ({ \
  436. (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  437. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  438. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  439. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  440. distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  441. } || { rm -rf "$$dc_destdir"; exit 1; }) \
  442. && rm -rf "$$dc_destdir" \
  443. && $(MAKE) $(AM_MAKEFLAGS) dist \
  444. && rm -rf $(DIST_ARCHIVES) \
  445. && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
  446. $(am__remove_distdir)
  447. @(echo "$(distdir) archives ready for distribution: "; \
  448. list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  449. sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  450. distuninstallcheck:
  451. @cd $(distuninstallcheck_dir) \
  452. && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
  453. || { echo "ERROR: files left after uninstall:" ; \
  454. if test -n "$(DESTDIR)"; then \
  455. echo " (check DESTDIR support)"; \
  456. fi ; \
  457. $(distuninstallcheck_listfiles) ; \
  458. exit 1; } >&2
  459. distcleancheck: distclean
  460. @if test '$(srcdir)' = . ; then \
  461. echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  462. exit 1 ; \
  463. fi
  464. @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  465. || { echo "ERROR: files left in build directory after distclean:" ; \
  466. $(distcleancheck_listfiles) ; \
  467. exit 1; } >&2
  468. check-am: all-am
  469. check: check-recursive
  470. all-am: Makefile config.h
  471. installdirs: installdirs-recursive
  472. installdirs-am:
  473. install: install-recursive
  474. install-exec: install-exec-recursive
  475. install-data: install-data-recursive
  476. uninstall: uninstall-recursive
  477. install-am: all-am
  478. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  479. installcheck: installcheck-recursive
  480. install-strip:
  481. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  482. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  483. `test -z '$(STRIP)' || \
  484. echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
  485. mostlyclean-generic:
  486. clean-generic:
  487. distclean-generic:
  488. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  489. maintainer-clean-generic:
  490. @echo "This command is intended for maintainers to use"
  491. @echo "it deletes files that may require special tools to rebuild."
  492. clean: clean-recursive
  493. clean-am: clean-generic mostlyclean-am
  494. distclean: distclean-recursive
  495. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  496. -rm -f Makefile
  497. distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
  498. dvi: dvi-recursive
  499. dvi-am:
  500. html: html-recursive
  501. info: info-recursive
  502. info-am:
  503. install-data-am:
  504. install-dvi: install-dvi-recursive
  505. install-exec-am:
  506. install-html: install-html-recursive
  507. install-info: install-info-recursive
  508. install-man:
  509. install-pdf: install-pdf-recursive
  510. install-ps: install-ps-recursive
  511. installcheck-am:
  512. maintainer-clean: maintainer-clean-recursive
  513. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  514. -rm -rf $(top_srcdir)/autom4te.cache
  515. -rm -f Makefile
  516. maintainer-clean-am: distclean-am maintainer-clean-generic
  517. mostlyclean: mostlyclean-recursive
  518. mostlyclean-am: mostlyclean-generic
  519. pdf: pdf-recursive
  520. pdf-am:
  521. ps: ps-recursive
  522. ps-am:
  523. uninstall-am:
  524. .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) install-am \
  525. install-strip
  526. .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
  527. all all-am am--refresh check check-am clean clean-generic \
  528. ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
  529. dist-lzma dist-shar dist-tarZ dist-zip distcheck distclean \
  530. distclean-generic distclean-hdr distclean-tags distcleancheck \
  531. distdir distuninstallcheck dvi dvi-am html html-am info \
  532. info-am install install-am install-data install-data-am \
  533. install-dvi install-dvi-am install-exec install-exec-am \
  534. install-html install-html-am install-info install-info-am \
  535. install-man install-pdf install-pdf-am install-ps \
  536. install-ps-am install-strip installcheck installcheck-am \
  537. installdirs installdirs-am maintainer-clean \
  538. maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
  539. pdf-am ps ps-am tags tags-recursive uninstall uninstall-am
  540. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  541. # Otherwise a system limit (for SysV at least) may be exceeded.
  542. .NOEXPORT: